[Bug 257284] emulators/wine: Update to 6.0.1 to match the emulators/i386-wine ports

From: <bugzilla-noreply_at_freebsd.org>
Date: Sat, 24 Jul 2021 14:28:30 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257284

Gerald Pfeifer <gerald_at_FreeBSD.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |damjan.jov_at_gmail.com,
                   |                            |iwtcex_at_gmail.com

--- Comment #5 from Gerald Pfeifer <gerald_at_FreeBSD.org> ---
(In reply to Alexander Vereeken from comment #4)
> I prioritize that the ports should be up to date so I took the matter 
> into my own hands and created an i386 version of the port quickly since 
> it's been a while since 6.0 came out.

The problem is this broke users (when Wine 5.0.x was just working for them).

(In reply to Alexander Vereeken from comment #4)
> So if you update wine 6.0.1 over the ports using geralds patch and have
> a script that holds your wow64 spagehtti together then just add the above
> workaround.

Let's see how we can help users so that they do not need "spaghetti scripts"
of their own.

I'm thinking to move the wine/wine64 binaries to something like 
wine_/wine64_ and put in scripts as wine/wine64 to set LD_32_BIND_NOW/
LD_BIND_NOW and then exec the binaries.

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Sat Jul 24 2021 - 14:28:30 UTC

Original text of this message